Summary: A GTK front-end for gPhoto2
Name: gtkam
Version: 0.1.11
Release: 2
License: GPL
Group: Applications/Multimedia

Source0: http://belnet.dl.sourceforge.net/sourceforge/gphoto/%{name}-%{version}.tar.gz
URL: http://www.gphoto.org/proj/gtkam/
ExcludeArch: s390 s390x
BuildRequires: gphoto2-devel, gdk-pixbuf-devel, gimp-devel, libexif-devel
BuildRequires: desktop-file-utils >= 0.2.92
BuildRequires: libgnomeui-devel
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Patch0: gtkam-deprecated.patch
Patch1: gtkam-gimp2.patch

%description
The gtKam package provides a GTK-based front-end to gPhoto2.  Install
this package if you want to use a digital camera with Linux.

%package gimp
Summary: GIMP plug-in for digital camera access through gPhoto2
Requires: %{name} = %{version}
Requires: gimp >= 1.2
PreReq: fileutils gawk sh-utils
Group: Applications/Multimedia

%description gimp
A GIMP plug-in for direct digital camera access through gPhoto2.

%prep
rm -rf %{buildroot}
%setup -q
%patch0 -p1 -b .deprecated
%patch1 -p1 -b .gimp2

%build
%configure
make

%install
%makeinstall
%find_lang %{name}

# Desktop file
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Graphics
cat << EOF > gtkam.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Digital Camera Tool
Type=Application
Description=A digital camera viewer
Exec=/usr/bin/gtkam
StartupNotify=true
Icon=camera.png
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor net --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications        \
  --add-category X-Red-Hat-Base                        \
  --add-category Graphics                              \
  --add-category Application                           \
  gtkam.desktop

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
rm -rf $RPM_BUILD_ROOT/%{_datadir}/applications/gtkam.desktop
 
%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_datadir}/applications/*
%{_bindir}/*
%{_datadir}/gtkam
%{_datadir}/images/gtkam
%{_mandir}/*/gtkam*
%{_datadir}/gnome/help/gtkam
%{_datadir}/omf/gtkam
%{_datadir}/pixmaps/gtkam.png

%files gimp
%defattr(-,root,root)
%{_libdir}/gimp/*/plug-ins/gtkam-gimp

%changelog
* Fri Apr 30 2004 Tim Waugh <twaugh@redhat.com> 0.1.11-2
- Only ship one desktop file (bug #121858).

* Wed Apr 21 2004 Tim Waugh <twaugh@redhat.com> 0.1.11-1
- 0.1.11 (fixes target bug #119094, bug #121326).

* Mon Apr 19 2004 Tim Waugh <twaugh@redhat.com>
- Build requires libgnomeui-devel (bug #121242).

* Fri Apr  2 2004 Tim Waugh <twaugh@redhat.com> 0.1.10-5
- Don't fork()/exit() since GTK+ quits; use system() instead (bug #119094).

* Wed Mar 31 2004 Nils Philippsen <nphilipp@redhat.com> 0.1.10-4
- rebuilt

* Thu Mar 18 2004 Nils Philippsen <nphilipp@redhat.com> 0.1.10-3
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 12 2004 Tim Waugh <twaugh@redhat.com> 0.1.10-1
- 0.1.10.

* Mon Dec  8 2003 Tim Waugh <twaugh@redhat.com> 0.1.7-7
- Use stock camera icon (bug #111582).

* Thu Sep 11 2003 Tim Waugh <twaugh@redhat.com> 0.1.7-6.1
- Rebuilt.

* Thu Sep 11 2003 Tim Waugh <twaugh@redhat.com> 0.1.7-6
- Use %%{_libdir} etc throughout (bug #104204).

* Mon Jul 28 2003 Tim Waugh <twaugh@redhat.com> 0.1.7-5
- Fix URL (bug #100907).

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com> 0.1.7-4
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 0.1.7-3
- rebuilt

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de> 0.1.7-2
- do not build on mainframe

* Tue Oct 22 2002 Tim Waugh <twaugh@redhat.com> 0.1.7-1
- 0.1.7.
- No longer need gtkam-gimp patch.
- Don't install files not shipped.

* Mon Aug  5 2002 Tim Waugh <twaugh@redhat.com> 0.1.4-6
- Don't require gimp-devel (bug #70754).
- Don't ship empty NEWS file (bug #66086).

* Mon Jul 22 2002 Tim Waugh <twaugh@redhat.com> 0.1.4-5
- Desktop file fixes (bug #69434).

* Mon Jul 15 2002 Tim Waugh <twaugh@redhat.com> 0.1.4-4
- Use desktop-file-install.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.1.4-3
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com> 0.1.4-2
- automated rebuild

* Thu May 23 2002 Tim Waugh <twaugh@redhat.com> 0.1.4-1
- 0.1.4.
- Update gimp patch.
- No longer need linguas, gettext, ranlib patches.

* Wed Mar  6 2002 Tim Waugh <twaugh@redhat.com> 0.1.3-0.cvs20020225.2
- The gimp subpackage requires /usr/bin/gimp-config in its %%post
  scriplet.

* Mon Feb 25 2002 Tim Waugh <twaugh@redhat.com> 0.1.3-0.cvs20020225.1
- Adapted for Red Hat Linux.  Tidied the spec file.
- Made a desktop entry.
- Fixed the gimp plug-in.

* Mon Jan 28 2002 Till Kamppeter <till@mandrakesoft.com> 0.1-10mdk
- Rebuilt for libusb 0.1.4.

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.1-9mdk
- Add %%defattr(-,root,root,-) for gtkam-gimp-plugin

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.1-8mdk
- Fix menu entry

* Tue Dec  4 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-7mdk
- Updated to the CVS snapshot from 04/12/2001.

* Sat Dec  1 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-6mdk
- Updated to the CVS of 01/12/2001.

* Fri Nov 30 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-5mdk
- Updated to the CVS of 30/11/2001.

* Mon Oct 08 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-4mdk
- BuildRequires: gettext-devel

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-3mdk
- fixed BuildRequires
- Copyright --> License

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-2mdk
- Corrected the doc directory path again

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-1mdk
- Moved to main
- Corrected the doc directory
- Added a menu entry
- Updated from CVS

* Mon Nov 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1-0.20001116mdk
- new in contribs
- macros
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com>
   - v0.1-0.20001116mdk (initial packaging from CVS) 
